pfsindcraw(1)

NAME
pfsindcraw - Read an image in a camera RAW file format supported by DCRAW or LIBRAW and write pfs stream to the standard output

SYNOPSIS
pfsindcraw [--native] <file> [<file>...]

DESCRIPTION
This command can be used to read images in a camera RAW file format supported by DCRAW or LIBRAW and write pfs stream to the standard output as if read from 16bit ppm file (no gamma correction, white balance from camera if available). In principle such data should conform to the definition of High Dynamic Range contents used in the pfstools package.

A raw image may in some cases require clamping to remove zero values, see examples.

OPTIONS

--native, -n
    Read images in native camera color space (instead of sRGB). To be used with pfscolortransform. Must be specified before any file name. --dcraw, -d Read images using the original dcraw tool even if libraw is available.

EXAMPLES

pfsindcraw img_0070.cr2 | pfsview
    View a full dynamic range of a raw image from Canon 350D camera.

pfsindcraw img_0070.cr2 | pfsclamp --rgb | pfstmo_drago03 | pfsout img.jpg
    Tone map a raw image and save it as JPEG. Clamping is used to remove zero values, which otherwise result in NaN values after tone mapping.

pfsindcraw --native img_0070.cr2 | pfscolortransform --rgbxyz canon500d.txt | pfsout img.exr
    Load a RAW image in its native camera color space, calibrate using matrix stored in canon500d.txt file (not supplied) and save as an EXR image.

SEE ALSO
pfsout(1) pfsinppm(1) pfscolortransform(1)

BUGS
Please report bugs and comments to the pfstools discussion group (http://groups.google.com/group/pfstools).